#ifndef __CONFIG_H
#define __CONFIG_H

/*** default Output-mode ***/
#define DEFAULTMODE	OSS
//#define DEFAULTMODE	Serial

/*** song interval (msec) ***/
#define DEFAULT_WAIT 1000

/*** default sequencer device ***/
#define SEQUENCER         "/dev/sequencer"

/*** default serial device ***/
#define SEQ_SERIAL        "/dev/ttyd0"     // FreeBSD
//#define SEQ_SERIAL        "/dev/ttyS0"     // Linux
//#define SEQ_SERIAL        "/dev/cuaa0"

/*** raw midi device ***/
#define MIDIDEVICE "/dev/midi"
//#define MIDIDEVICE "/dev/midi0"

/*** buffer_size ***/
#define SEQBUFFER_SIZE  4096

/*** default midi device# ***/
#define PORT_A  0
#define PORT_B  1
#define PORT_C  2
#define PORT_D  3 
#define PORT_E  4
#define PORT_F  5

/*** reset data ***/  /* SRGDIR is defined in Makefile */
#define RESET1  SRGDIR "/_GM_system_on.mid"
#define RESET2  SRGDIR "/_GM2_system_on.mid"
#define RESET3  SRGDIR "/_XG_system_on.mid"
#define RESET4  SRGDIR "/_GS_reset.mid"
//#define RESET4  SRGDIR "/_XG_audio.mid"

/*** default reset data ***/
// #define DEFAULT_RESET RESET3

/*** etc ***/
// #define NO_OSS
// #define RUNNING_ST


/****************************************/
#define LOOP_NEST_LEVEL_MAX 256

/*** soundcard.h ***/
#ifdef __FreeBSD__
#  define SOUNDCARD_HEADER  <machine/soundcard.h>
#else
#  define SOUNDCARD_HEADER  <sys/soundcard.h>
#endif

#endif
