/*
 *  stack.h
 *  Copyright (C) 1998,1999 SAKAI Katsuya
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _LOOP_STACK_H
#define _LOOP_STACK_H

#include <sys/types.h>
#include <iostream.h>

#include "config.h"

class LoopData {
public:
  u_long Index;
  int count;
  u_char SameMeasureFlag;
  u_long SameMeasurePtr;
};

class Stack {
public:
  LoopData *pop();
  LoopData *push(LoopData *);

  Stack(){
	itemnum = 0;
	Max = LOOP_NEST_LEVEL_MAX;
  }

  ~Stack(){
	LoopData *dat;
	while((dat=pop())!=NULL)
	  {
		delete dat;
	  }
  }


protected:
  u_long Max;
  u_long itemnum;
  LoopData *stack[LOOP_NEST_LEVEL_MAX];
};

#endif
