/*
 *  midievdefs.h
 *  Copyright (C) 1998,1999 SAKAI Katsuya
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __MIDI_EVENT_DEFINE_H
#define __MIDI_EVENT_DEFINE_H
#ifndef SOUNDCARD_H

#define MIDI_NOTEOFF       0x80
#define MIDI_NOTEON        0x90
#define MIDI_KEY_PRESSURE  0xA0
#define MIDI_CTL_CHANGE    0xB0
#define MIDI_PITCH_BEND    0xE0

#define MIDI_PGM_CHANGE    0xC0
#define MIDI_CHN_PRESSURE  0xD0

#define MIDI_SYSTEM_PREFIX 0xF0

#endif
#endif
